org.eclnt.jsfserver.elements.componentnodes

## Class UI5M_CUSTOMLISTITEMNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5M_CUSTOMLISTITEMNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5M_CUSTOMLISTITEMNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5M_CUSTOMLISTITEMNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5M_CUSTOMLISTITEMNode` | `bindActionListener(IActionListenerDelegation value)`
    `UI5M_CUSTOMLISTITEMNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5M_CUSTOMLISTITEMNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5M_CUSTOMLISTITEMNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5M_CUSTOMLISTITEMNode` | `bindCounter(IDynamicContentBindingObject value)`
    `UI5M_CUSTOMLISTITEMNode` | `bindListitemtype(IDynamicContentBindingObject value)`
    `UI5M_CUSTOMLISTITEMNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5M_CUSTOMLISTITEMNode` | `bindSelected(IDynamicContentBindingObject value)`
    `UI5M_CUSTOMLISTITEMNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5M_CUSTOMLISTITEMNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5M_CUSTOMLISTITEMNode` | `bindUnread(IDynamicContentBindingObject value)`
    `UI5M_CUSTOMLISTITEMNode` | `setActionListener(java.lang.String value)`
    `UI5M_CUSTOMLISTITEMNode` | `setAdapterbinding(java.lang.String value)`
    `UI5M_CUSTOMLISTITEMNode` | `setAttributemacro(java.lang.String value)`
    `UI5M_CUSTOMLISTITEMNode` | `setComment(java.lang.String value)`
    `UI5M_CUSTOMLISTITEMNode` | `setConfiginfo(java.lang.String value)`
    `UI5M_CUSTOMLISTITEMNode` | `setCounter(java.lang.String value)`
    `UI5M_CUSTOMLISTITEMNode` | `setId(java.lang.String value)`
    `UI5M_CUSTOMLISTITEMNode` | `setListitemtype(java.lang.String value)`
    `UI5M_CUSTOMLISTITEMNode` | `setReference(java.lang.String value)`
    `UI5M_CUSTOMLISTITEMNode` | `setRendered(boolean value)`
    `UI5M_CUSTOMLISTITEMNode` | `setRendered(java.lang.String value)`
    `UI5M_CUSTOMLISTITEMNode` | `setSelected(boolean value)`
    `UI5M_CUSTOMLISTITEMNode` | `setSelected(java.lang.String value)`
    `UI5M_CUSTOMLISTITEMNode` | `setStyleseq(java.lang.String value)`
    `UI5M_CUSTOMLISTITEMNode` | `setStylevariant(java.lang.String value)`
    `UI5M_CUSTOMLISTITEMNode` | `setUnread(boolean value)`
    `UI5M_CUSTOMLISTITEMNode` | `setUnread(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5M_CUSTOMLISTITEMNode

          public UI5M_CUSTOMLISTITEMNode()

  - ### Method Detail

    - #### setId

          public UI5M_CUSTOMLISTITEMNode setId(java.lang.String value)

    - #### setActionListener

          public UI5M_CUSTOMLISTITEMNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public UI5M_CUSTOMLISTITEMNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public UI5M_CUSTOMLISTITEMNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5M_CUSTOMLISTITEMNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5M_CUSTOMLISTITEMNode setAttributemacro(java.lang.String value)

    - #### setComment

          public UI5M_CUSTOMLISTITEMNode setComment(java.lang.String value)

    - #### bindComment

          public UI5M_CUSTOMLISTITEMNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5M_CUSTOMLISTITEMNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5M_CUSTOMLISTITEMNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setCounter

          public UI5M_CUSTOMLISTITEMNode setCounter(java.lang.String value)

    - #### bindCounter

          public UI5M_CUSTOMLISTITEMNode bindCounter(IDynamicContentBindingObject value)

    - #### setListitemtype

          public UI5M_CUSTOMLISTITEMNode setListitemtype(java.lang.String value)

    - #### bindListitemtype

          public UI5M_CUSTOMLISTITEMNode bindListitemtype(IDynamicContentBindingObject value)

    - #### setReference

          public UI5M_CUSTOMLISTITEMNode setReference(java.lang.String value)

    - #### setRendered

          public UI5M_CUSTOMLISTITEMNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5M_CUSTOMLISTITEMNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5M_CUSTOMLISTITEMNode setRendered(boolean value)

    - #### setSelected

          public UI5M_CUSTOMLISTITEMNode setSelected(java.lang.String value)

    - #### bindSelected

          public UI5M_CUSTOMLISTITEMNode bindSelected(IDynamicContentBindingObject value)

    - #### setSelected

          public UI5M_CUSTOMLISTITEMNode setSelected(boolean value)

    - #### setStyleseq

          public UI5M_CUSTOMLISTITEMNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5M_CUSTOMLISTITEMNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5M_CUSTOMLISTITEMNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5M_CUSTOMLISTITEMNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setUnread

          public UI5M_CUSTOMLISTITEMNode setUnread(java.lang.String value)

    - #### bindUnread

          public UI5M_CUSTOMLISTITEMNode bindUnread(IDynamicContentBindingObject value)

    - #### setUnread

          public UI5M_CUSTOMLISTITEMNode setUnread(boolean value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.